diff --git a/backend/src/graphql/resolver/AdminResolver.ts b/backend/src/graphql/resolver/AdminResolver.ts
index 4c94e48c8..39fbf861f 100644
--- a/backend/src/graphql/resolver/AdminResolver.ts
+++ b/backend/src/graphql/resolver/AdminResolver.ts
@@ -1,4 +1,5 @@
 import { Context, getUser } from '@/server/context'
+import { backendLogger as logger } from '@/server/logger'
 import { Resolver, Query, Arg, Args, Authorized, Mutation, Ctx, Int } from 'type-graphql'
 import {
   getCustomRepository,
@@ -11,21 +12,25 @@ import {
   FindOperator,
 } from '@dbTools/typeorm'
 import { UserAdmin, SearchUsersResult } from '@model/UserAdmin'
-import { PendingCreation } from '@model/PendingCreation'
-import { CreatePendingCreations } from '@model/CreatePendingCreations'
-import { UpdatePendingCreation } from '@model/UpdatePendingCreation'
+import { UnconfirmedContribution } from '@model/UnconfirmedContribution'
+import { AdminCreateContributions } from '@model/AdminCreateContributions'
+import { AdminUpdateContribution } from '@model/AdminUpdateContribution'
+import { ContributionLink } from '@model/ContributionLink'
+import { ContributionLinkList } from '@model/ContributionLinkList'
 import { RIGHTS } from '@/auth/RIGHTS'
 import { UserRepository } from '@repository/User'
-import CreatePendingCreationArgs from '@arg/CreatePendingCreationArgs'
-import UpdatePendingCreationArgs from '@arg/UpdatePendingCreationArgs'
+import AdminCreateContributionArgs from '@arg/AdminCreateContributionArgs'
+import AdminUpdateContributionArgs from '@arg/AdminUpdateContributionArgs'
 import SearchUsersArgs from '@arg/SearchUsersArgs'
+import ContributionLinkArgs from '@arg/ContributionLinkArgs'
 import { Transaction as DbTransaction } from '@entity/Transaction'
+import { ContributionLink as DbContributionLink } from '@entity/ContributionLink'
 import { Transaction } from '@model/Transaction'
 import { TransactionLink, TransactionLinkResult } from '@model/TransactionLink'
 import { TransactionLink as dbTransactionLink } from '@entity/TransactionLink'
 import { TransactionRepository } from '@repository/Transaction'
 import { calculateDecay } from '@/util/decay'
-import { AdminPendingCreation } from '@entity/AdminPendingCreation'
+import { Contribution } from '@entity/Contribution'
 import { hasElopageBuys } from '@/util/hasElopageBuys'
 import { LoginEmailOptIn } from '@entity/LoginEmailOptIn'
 import { User as dbUser } from '@entity/User'
@@ -39,6 +44,7 @@ import { Order } from '@enum/Order'
 import { communityUser } from '@/util/communityUser'
 import { checkOptInCode, activationLink, printTimeDuration } from './UserResolver'
 import { sendAccountActivationEmail } from '@/mailer/sendAccountActivationEmail'
+import { transactionLinkCode as contributionLinkCode } from './TransactionLinkResolver'
 import CONFIG from '@/config'
 
 // const EMAIL_OPT_IN_REGISTER = 1
@@ -163,72 +169,76 @@ export class AdminResolver {
     return null
   }
 
-  @Authorized([RIGHTS.CREATE_PENDING_CREATION])
+  @Authorized([RIGHTS.ADMIN_CREATE_CONTRIBUTION])
   @Mutation(() => [Number])
-  async createPendingCreation(
-    @Args() { email, amount, memo, creationDate }: CreatePendingCreationArgs,
+  async adminCreateContribution(
+    @Args() { email, amount, memo, creationDate }: AdminCreateContributionArgs,
     @Ctx() context: Context,
   ): Promise<Decimal[]> {
+    logger.trace('adminCreateContribution...')
     const user = await dbUser.findOne({ email }, { withDeleted: true })
     if (!user) {
       throw new Error(`Could not find user with email: ${email}`)
     }
     if (user.deletedAt) {
-      throw new Error('This user was deleted. Cannot make a creation.')
+      throw new Error('This user was deleted. Cannot create a contribution.')
     }
     if (!user.emailChecked) {
-      throw new Error('Creation could not be saved, Email is not activated')
+      throw new Error('Contribution could not be saved, Email is not activated')
     }
     const moderator = getUser(context)
+    logger.trace('moderator: ', moderator.id)
     const creations = await getUserCreation(user.id)
+    logger.trace('creations', creations)
     const creationDateObj = new Date(creationDate)
-    if (isCreationValid(creations, amount, creationDateObj)) {
-      const adminPendingCreation = AdminPendingCreation.create()
-      adminPendingCreation.userId = user.id
-      adminPendingCreation.amount = amount
-      adminPendingCreation.created = new Date()
-      adminPendingCreation.date = creationDateObj
-      adminPendingCreation.memo = memo
-      adminPendingCreation.moderator = moderator.id
+    if (isContributionValid(creations, amount, creationDateObj)) {
+      const contribution = Contribution.create()
+      contribution.userId = user.id
+      contribution.amount = amount
+      contribution.createdAt = new Date()
+      contribution.contributionDate = creationDateObj
+      contribution.memo = memo
+      contribution.moderatorId = moderator.id
 
-      await AdminPendingCreation.save(adminPendingCreation)
+      logger.trace('contribution to save', contribution)
+      await Contribution.save(contribution)
     }
     return getUserCreation(user.id)
   }
 
-  @Authorized([RIGHTS.CREATE_PENDING_CREATION])
-  @Mutation(() => CreatePendingCreations)
-  async createPendingCreations(
-    @Arg('pendingCreations', () => [CreatePendingCreationArgs])
-    pendingCreations: CreatePendingCreationArgs[],
+  @Authorized([RIGHTS.ADMIN_CREATE_CONTRIBUTIONS])
+  @Mutation(() => AdminCreateContributions)
+  async adminCreateContributions(
+    @Arg('pendingCreations', () => [AdminCreateContributionArgs])
+    contributions: AdminCreateContributionArgs[],
     @Ctx() context: Context,
-  ): Promise<CreatePendingCreations> {
+  ): Promise<AdminCreateContributions> {
     let success = false
-    const successfulCreation: string[] = []
-    const failedCreation: string[] = []
-    for (const pendingCreation of pendingCreations) {
-      await this.createPendingCreation(pendingCreation, context)
+    const successfulContribution: string[] = []
+    const failedContribution: string[] = []
+    for (const contribution of contributions) {
+      await this.adminCreateContribution(contribution, context)
         .then(() => {
-          successfulCreation.push(pendingCreation.email)
+          successfulContribution.push(contribution.email)
           success = true
         })
         .catch(() => {
-          failedCreation.push(pendingCreation.email)
+          failedContribution.push(contribution.email)
         })
     }
     return {
       success,
-      successfulCreation,
-      failedCreation,
+      successfulContribution,
+      failedContribution,
     }
   }
 
-  @Authorized([RIGHTS.UPDATE_PENDING_CREATION])
-  @Mutation(() => UpdatePendingCreation)
-  async updatePendingCreation(
-    @Args() { id, email, amount, memo, creationDate }: UpdatePendingCreationArgs,
+  @Authorized([RIGHTS.ADMIN_UPDATE_CONTRIBUTION])
+  @Mutation(() => AdminUpdateContribution)
+  async adminUpdateContribution(
+    @Args() { id, email, amount, memo, creationDate }: AdminUpdateContributionArgs,
     @Ctx() context: Context,
-  ): Promise<UpdatePendingCreation> {
+  ): Promise<AdminUpdateContribution> {
     const user = await dbUser.findOne({ email }, { withDeleted: true })
     if (!user) {
       throw new Error(`Could not find user with email: ${email}`)
@@ -239,59 +249,65 @@ export class AdminResolver {
 
     const moderator = getUser(context)
 
-    const pendingCreationToUpdate = await AdminPendingCreation.findOne({ id })
+    const contributionToUpdate = await Contribution.findOne({
+      where: { id, confirmedAt: IsNull() },
+    })
 
-    if (!pendingCreationToUpdate) {
-      throw new Error('No creation found to given id.')
+    if (!contributionToUpdate) {
+      throw new Error('No contribution found to given id.')
     }
 
-    if (pendingCreationToUpdate.userId !== user.id) {
-      throw new Error('user of the pending creation and send user does not correspond')
+    if (contributionToUpdate.userId !== user.id) {
+      throw new Error('user of the pending contribution and send user does not correspond')
     }
 
     const creationDateObj = new Date(creationDate)
     let creations = await getUserCreation(user.id)
-    if (pendingCreationToUpdate.date.getMonth() === creationDateObj.getMonth()) {
-      creations = updateCreations(creations, pendingCreationToUpdate)
+    if (contributionToUpdate.contributionDate.getMonth() === creationDateObj.getMonth()) {
+      creations = updateCreations(creations, contributionToUpdate)
     }
 
     // all possible cases not to be true are thrown in this function
-    isCreationValid(creations, amount, creationDateObj)
-    pendingCreationToUpdate.amount = amount
-    pendingCreationToUpdate.memo = memo
-    pendingCreationToUpdate.date = new Date(creationDate)
-    pendingCreationToUpdate.moderator = moderator.id
+    isContributionValid(creations, amount, creationDateObj)
+    contributionToUpdate.amount = amount
+    contributionToUpdate.memo = memo
+    contributionToUpdate.contributionDate = new Date(creationDate)
+    contributionToUpdate.moderatorId = moderator.id
 
-    await AdminPendingCreation.save(pendingCreationToUpdate)
-    const result = new UpdatePendingCreation()
+    await Contribution.save(contributionToUpdate)
+    const result = new AdminUpdateContribution()
     result.amount = amount
-    result.memo = pendingCreationToUpdate.memo
-    result.date = pendingCreationToUpdate.date
+    result.memo = contributionToUpdate.memo
+    result.date = contributionToUpdate.contributionDate
 
     result.creation = await getUserCreation(user.id)
 
     return result
   }
 
-  @Authorized([RIGHTS.SEARCH_PENDING_CREATION])
-  @Query(() => [PendingCreation])
-  async getPendingCreations(): Promise<PendingCreation[]> {
-    const pendingCreations = await AdminPendingCreation.find()
-    if (pendingCreations.length === 0) {
+  @Authorized([RIGHTS.LIST_UNCONFIRMED_CONTRIBUTIONS])
+  @Query(() => [UnconfirmedContribution])
+  async listUnconfirmedContributions(): Promise<UnconfirmedContribution[]> {
+    const contributions = await Contribution.find({ where: { confirmedAt: IsNull() } })
+    if (contributions.length === 0) {
       return []
     }
 
-    const userIds = pendingCreations.map((p) => p.userId)
+    const userIds = contributions.map((p) => p.userId)
     const userCreations = await getUserCreations(userIds)
     const users = await dbUser.find({ where: { id: In(userIds) }, withDeleted: true })
 
-    return pendingCreations.map((pendingCreation) => {
-      const user = users.find((u) => u.id === pendingCreation.userId)
-      const creation = userCreations.find((c) => c.id === pendingCreation.userId)
+    return contributions.map((contribution) => {
+      const user = users.find((u) => u.id === contribution.userId)
+      const creation = userCreations.find((c) => c.id === contribution.userId)
 
       return {
-        ...pendingCreation,
-        amount: pendingCreation.amount,
+        id: contribution.id,
+        userId: contribution.userId,
+        date: contribution.contributionDate,
+        memo: contribution.memo,
+        amount: contribution.amount,
+        moderator: contribution.moderatorId,
         firstName: user ? user.firstName : '',
         lastName: user ? user.lastName : '',
         email: user ? user.email : '',
@@ -300,69 +316,93 @@ export class AdminResolver {
     })
   }
 
-  @Authorized([RIGHTS.DELETE_PENDING_CREATION])
+  @Authorized([RIGHTS.ADMIN_DELETE_CONTRIBUTION])
   @Mutation(() => Boolean)
-  async deletePendingCreation(@Arg('id', () => Int) id: number): Promise<boolean> {
-    const pendingCreation = await AdminPendingCreation.findOne(id)
-    if (!pendingCreation) {
-      throw new Error('Creation not found for given id.')
+  async adminDeleteContribution(@Arg('id', () => Int) id: number): Promise<boolean> {
+    const contribution = await Contribution.findOne(id)
+    if (!contribution) {
+      throw new Error('Contribution not found for given id.')
     }
-    const res = await AdminPendingCreation.delete(pendingCreation)
+    const res = await contribution.softRemove()
     return !!res
   }
 
-  @Authorized([RIGHTS.CONFIRM_PENDING_CREATION])
+  @Authorized([RIGHTS.CONFIRM_CONTRIBUTION])
   @Mutation(() => Boolean)
-  async confirmPendingCreation(
+  async confirmContribution(
     @Arg('id', () => Int) id: number,
     @Ctx() context: Context,
   ): Promise<boolean> {
-    const pendingCreation = await AdminPendingCreation.findOne(id)
-    if (!pendingCreation) {
-      throw new Error('Creation not found to given id.')
+    const contribution = await Contribution.findOne(id)
+    if (!contribution) {
+      throw new Error('Contribution not found to given id.')
     }
     const moderatorUser = getUser(context)
-    if (moderatorUser.id === pendingCreation.userId)
-      throw new Error('Moderator can not confirm own pending creation')
+    if (moderatorUser.id === contribution.userId)
+      throw new Error('Moderator can not confirm own contribution')
 
-    const user = await dbUser.findOneOrFail({ id: pendingCreation.userId }, { withDeleted: true })
-    if (user.deletedAt) throw new Error('This user was deleted. Cannot confirm a creation.')
+    const user = await dbUser.findOneOrFail({ id: contribution.userId }, { withDeleted: true })
+    if (user.deletedAt) throw new Error('This user was deleted. Cannot confirm a contribution.')
 
-    const creations = await getUserCreation(pendingCreation.userId, false)
-    if (!isCreationValid(creations, pendingCreation.amount, pendingCreation.date)) {
+    const creations = await getUserCreation(contribution.userId, false)
+    if (!isContributionValid(creations, contribution.amount, contribution.contributionDate)) {
       throw new Error('Creation is not valid!!')
     }
 
     const receivedCallDate = new Date()
 
-    const transactionRepository = getCustomRepository(TransactionRepository)
-    const lastTransaction = await transactionRepository.findLastForUser(pendingCreation.userId)
+    const queryRunner = getConnection().createQueryRunner()
+    await queryRunner.connect()
+    await queryRunner.startTransaction('READ UNCOMMITTED')
+    try {
+      const lastTransaction = await queryRunner.manager
+        .createQueryBuilder()
+        .select('transaction')
+        .from(DbTransaction, 'transaction')
+        .where('transaction.userId = :id', { id: contribution.userId })
+        .orderBy('transaction.balanceDate', 'DESC')
+        .getOne()
+      logger.info('lastTransaction ID', lastTransaction ? lastTransaction.id : 'undefined')
 
-    let newBalance = new Decimal(0)
-    let decay: Decay | null = null
-    if (lastTransaction) {
-      decay = calculateDecay(lastTransaction.balance, lastTransaction.balanceDate, receivedCallDate)
-      newBalance = decay.balance
+      let newBalance = new Decimal(0)
+      let decay: Decay | null = null
+      if (lastTransaction) {
+        decay = calculateDecay(
+          lastTransaction.balance,
+          lastTransaction.balanceDate,
+          receivedCallDate,
+        )
+        newBalance = decay.balance
+      }
+      newBalance = newBalance.add(contribution.amount.toString())
+
+      const transaction = new DbTransaction()
+      transaction.typeId = TransactionTypeId.CREATION
+      transaction.memo = contribution.memo
+      transaction.userId = contribution.userId
+      transaction.previous = lastTransaction ? lastTransaction.id : null
+      transaction.amount = contribution.amount
+      transaction.creationDate = contribution.contributionDate
+      transaction.balance = newBalance
+      transaction.balanceDate = receivedCallDate
+      transaction.decay = decay ? decay.decay : new Decimal(0)
+      transaction.decayStart = decay ? decay.start : null
+      await queryRunner.manager.insert(DbTransaction, transaction)
+
+      contribution.confirmedAt = receivedCallDate
+      contribution.confirmedBy = moderatorUser.id
+      contribution.transactionId = transaction.id
+      await queryRunner.manager.update(Contribution, { id: contribution.id }, contribution)
+
+      await queryRunner.commitTransaction()
+      logger.info('creation commited successfuly.')
+    } catch (e) {
+      await queryRunner.rollbackTransaction()
+      logger.error(`Creation was not successful: ${e}`)
+      throw new Error(`Creation was not successful.`)
+    } finally {
+      await queryRunner.release()
     }
-    newBalance = newBalance.add(pendingCreation.amount.toString())
-
-    const transaction = new DbTransaction()
-    transaction.typeId = TransactionTypeId.CREATION
-    transaction.memo = pendingCreation.memo
-    transaction.userId = pendingCreation.userId
-    transaction.previous = lastTransaction ? lastTransaction.id : null
-    transaction.amount = pendingCreation.amount
-    transaction.creationDate = pendingCreation.date
-    transaction.balance = newBalance
-    transaction.balanceDate = receivedCallDate
-    transaction.decay = decay ? decay.decay : new Decimal(0)
-    transaction.decayStart = decay ? decay.start : null
-    await transaction.save().catch(() => {
-      throw new Error('Unable to confirm creation.')
-    })
-
-    await AdminPendingCreation.delete(pendingCreation)
-
     return true
   }
 
@@ -460,6 +500,99 @@ export class AdminResolver {
       linkList: transactionLinks.map((tl) => new TransactionLink(tl, new User(user))),
     }
   }
+
+  @Authorized([RIGHTS.CREATE_CONTRIBUTION_LINK])
+  @Mutation(() => ContributionLink)
+  async createContributionLink(
+    @Args()
+    {
+      amount,
+      name,
+      memo,
+      cycle,
+      validFrom,
+      validTo,
+      maxAmountPerMonth,
+      maxPerCycle,
+    }: ContributionLinkArgs,
+  ): Promise<ContributionLink> {
+    const dbContributionLink = new DbContributionLink()
+    dbContributionLink.amount = amount
+    dbContributionLink.name = name
+    dbContributionLink.memo = memo
+    dbContributionLink.createdAt = new Date()
+    dbContributionLink.code = contributionLinkCode(dbContributionLink.createdAt)
+    dbContributionLink.cycle = cycle
+    if (validFrom) dbContributionLink.validFrom = new Date(validFrom)
+    if (validTo) dbContributionLink.validTo = new Date(validTo)
+    dbContributionLink.maxAmountPerMonth = maxAmountPerMonth
+    dbContributionLink.maxPerCycle = maxPerCycle
+    await dbContributionLink.save()
+    return new ContributionLink(dbContributionLink)
+  }
+
+  @Authorized([RIGHTS.LIST_CONTRIBUTION_LINKS])
+  @Query(() => ContributionLinkList)
+  async listContributionLinks(
+    @Args()
+    { currentPage = 1, pageSize = 5, order = Order.DESC }: Paginated,
+  ): Promise<ContributionLinkList> {
+    const [links, count] = await DbContributionLink.findAndCount({
+      order: { createdAt: order },
+      skip: (currentPage - 1) * pageSize,
+      take: pageSize,
+    })
+    return {
+      links: links.map((link: DbContributionLink) => new ContributionLink(link)),
+      count,
+    }
+  }
+
+  @Authorized([RIGHTS.DELETE_CONTRIBUTION_LINK])
+  @Mutation(() => Date, { nullable: true })
+  async deleteContributionLink(@Arg('id', () => Int) id: number): Promise<Date | null> {
+    const contributionLink = await DbContributionLink.findOne(id)
+    if (!contributionLink) {
+      logger.error(`Contribution Link not found to given id: ${id}`)
+      throw new Error('Contribution Link not found to given id.')
+    }
+    await contributionLink.softRemove()
+    const newContributionLink = await DbContributionLink.findOne({ id }, { withDeleted: true })
+    return newContributionLink ? newContributionLink.deletedAt : null
+  }
+
+  @Authorized([RIGHTS.UPDATE_CONTRIBUTION_LINK])
+  @Mutation(() => ContributionLink)
+  async updateContributionLink(
+    @Args()
+    {
+      amount,
+      name,
+      memo,
+      cycle,
+      validFrom,
+      validTo,
+      maxAmountPerMonth,
+      maxPerCycle,
+    }: ContributionLinkArgs,
+    @Arg('id', () => Int) id: number,
+  ): Promise<ContributionLink> {
+    const dbContributionLink = await DbContributionLink.findOne(id)
+    if (!dbContributionLink) {
+      logger.error(`Contribution Link not found to given id: ${id}`)
+      throw new Error('Contribution Link not found to given id.')
+    }
+    dbContributionLink.amount = amount
+    dbContributionLink.name = name
+    dbContributionLink.memo = memo
+    dbContributionLink.cycle = cycle
+    if (validFrom) dbContributionLink.validFrom = new Date(validFrom)
+    if (validTo) dbContributionLink.validTo = new Date(validTo)
+    dbContributionLink.maxAmountPerMonth = maxAmountPerMonth
+    dbContributionLink.maxPerCycle = maxPerCycle
+    await dbContributionLink.save()
+    return new ContributionLink(dbContributionLink)
+  }
 }
 
 interface CreationMap {
@@ -468,24 +601,29 @@ interface CreationMap {
 }
 
 async function getUserCreation(id: number, includePending = true): Promise<Decimal[]> {
+  logger.trace('getUserCreation', id, includePending)
   const creations = await getUserCreations([id], includePending)
   return creations[0] ? creations[0].creations : FULL_CREATION_AVAILABLE
 }
 
 async function getUserCreations(ids: number[], includePending = true): Promise<CreationMap[]> {
+  logger.trace('getUserCreations:', ids, includePending)
   const months = getCreationMonths()
+  logger.trace('getUserCreations months', months)
 
   const queryRunner = getConnection().createQueryRunner()
   await queryRunner.connect()
 
   const dateFilter = 'last_day(curdate() - interval 3 month) + interval 1 day'
+  logger.trace('getUserCreations dateFilter', dateFilter)
 
   const unionString = includePending
     ? `
     UNION
-      SELECT date AS date, amount AS amount, userId AS userId FROM admin_pending_creations
-        WHERE userId IN (${ids.toString()})
-        AND date >= ${dateFilter}`
+      SELECT contribution_date AS date, amount AS amount, user_id AS userId FROM contributions
+        WHERE user_id IN (${ids.toString()})
+        AND contribution_date >= ${dateFilter}
+        AND confirmed_at IS NULL AND deleted_at IS NULL`
     : ''
 
   const unionQuery = await queryRunner.manager.query(`
@@ -515,17 +653,18 @@ async function getUserCreations(ids: number[], includePending = true): Promise<C
   })
 }
 
-function updateCreations(creations: Decimal[], pendingCreation: AdminPendingCreation): Decimal[] {
-  const index = getCreationIndex(pendingCreation.date.getMonth())
+function updateCreations(creations: Decimal[], contribution: Contribution): Decimal[] {
+  const index = getCreationIndex(contribution.contributionDate.getMonth())
 
   if (index < 0) {
     throw new Error('You cannot create GDD for a month older than the last three months.')
   }
-  creations[index] = creations[index].plus(pendingCreation.amount.toString())
+  creations[index] = creations[index].plus(contribution.amount.toString())
   return creations
 }
 
-function isCreationValid(creations: Decimal[], amount: Decimal, creationDate: Date) {
+function isContributionValid(creations: Decimal[], amount: Decimal, creationDate: Date) {
+  logger.trace('isContributionValid', creations, amount, creationDate)
   const index = getCreationIndex(creationDate.getMonth())
 
   if (index < 0) {
diff --git a/backend/src/seeds/contributionLink/ContributionLinkInterface.ts b/backend/src/seeds/contributionLink/ContributionLinkInterface.ts
new file mode 100644
index 000000000..15ba4b72d
--- /dev/null
+++ b/backend/src/seeds/contributionLink/ContributionLinkInterface.ts
@@ -0,0 +1,7 @@
+export interface ContributionLinkInterface {
+  amount: number
+  name: string
+  memo: string
+  validFrom?: Date
+  validTo?: Date
+}
diff --git a/backend/src/seeds/contributionLink/index.ts b/backend/src/seeds/contributionLink/index.ts
new file mode 100644
index 000000000..41d28eb60
--- /dev/null
+++ b/backend/src/seeds/contributionLink/index.ts
@@ -0,0 +1,18 @@
+import { ContributionLinkInterface } from './ContributionLinkInterface'
+
+export const contributionLinks: ContributionLinkInterface[] = [
+  {
+    name: 'Dokumenta 2017',
+    memo: 'Vielen Dank für deinen Besuch bei der Dokumenta 2017',
+    amount: 200,
+    validFrom: new Date(2017, 3, 8),
+    validTo: new Date(2017, 6, 16),
+  },
+  {
+    name: 'Dokumenta 2022',
+    memo: 'Vielen Dank für deinen Besuch bei der Dokumenta 2022',
+    amount: 200,
+    validFrom: new Date(2022, 5, 18),
+    validTo: new Date(2022, 8, 25),
+  },
+]
diff --git a/backend/src/seeds/factory/contributionLink.ts b/backend/src/seeds/factory/contributionLink.ts
new file mode 100644
index 000000000..7e34b9d20
--- /dev/null
+++ b/backend/src/seeds/factory/contributionLink.ts
@@ -0,0 +1,27 @@
+import { ApolloServerTestClient } from 'apollo-server-testing'
+import { createContributionLink } from '@/seeds/graphql/mutations'
+import { login } from '@/seeds/graphql/queries'
+import { ContributionLinkInterface } from '@/seeds/contributionLink/ContributionLinkInterface'
+
+export const contributionLinkFactory = async (
+  client: ApolloServerTestClient,
+  contributionLink: ContributionLinkInterface,
+): Promise<void> => {
+  const { mutate, query } = client
+
+  // login as admin
+  await query({ query: login, variables: { email: 'peter@lustig.de', password: 'Aa12345_' } })
+
+  const variables = {
+    amount: contributionLink.amount,
+    memo: contributionLink.memo,
+    name: contributionLink.name,
+    cycle: 'ONCE',
+    maxPerCycle: 1,
+    maxAmountPerMonth: 200,
+    validFrom: contributionLink.validFrom ? contributionLink.validFrom.toISOString() : undefined,
+    validTo: contributionLink.validTo ? contributionLink.validTo.toISOString() : undefined,
+  }
+
+  await mutate({ mutation: createContributionLink, variables })
+}
diff --git a/backend/src/seeds/factory/creation.ts b/backend/src/seeds/factory/creation.ts
index e49be3758..75a765fae 100644
--- a/backend/src/seeds/factory/creation.ts
+++ b/backend/src/seeds/factory/creation.ts
@@ -1,13 +1,13 @@
 /* eslint-disable @typescript-eslint/no-explicit-any */
 /* eslint-disable @typescript-eslint/explicit-module-boundary-types */
 
-import { createPendingCreation, confirmPendingCreation } from '@/seeds/graphql/mutations'
+import { adminCreateContribution, confirmContribution } from '@/seeds/graphql/mutations'
 import { login } from '@/seeds/graphql/queries'
 import { CreationInterface } from '@/seeds/creation/CreationInterface'
 import { ApolloServerTestClient } from 'apollo-server-testing'
 import { User } from '@entity/User'
 import { Transaction } from '@entity/Transaction'
-import { AdminPendingCreation } from '@entity/AdminPendingCreation'
+import { Contribution } from '@entity/Contribution'
 // import CONFIG from '@/config/index'
 
 export const nMonthsBefore = (date: Date, months = 1): string => {
@@ -17,23 +17,23 @@ export const nMonthsBefore = (date: Date, months = 1): string => {
 export const creationFactory = async (
   client: ApolloServerTestClient,
   creation: CreationInterface,
-): Promise<AdminPendingCreation | void> => {
+): Promise<Contribution | void> => {
   const { mutate, query } = client
 
   await query({ query: login, variables: { email: 'peter@lustig.de', password: 'Aa12345_' } })
 
   // TODO it would be nice to have this mutation return the id
-  await mutate({ mutation: createPendingCreation, variables: { ...creation } })
+  await mutate({ mutation: adminCreateContribution, variables: { ...creation } })
 
   const user = await User.findOneOrFail({ where: { email: creation.email } })
 
-  const pendingCreation = await AdminPendingCreation.findOneOrFail({
+  const pendingCreation = await Contribution.findOneOrFail({
     where: { userId: user.id, amount: creation.amount },
-    order: { created: 'DESC' },
+    order: { createdAt: 'DESC' },
   })
 
   if (creation.confirmed) {
-    await mutate({ mutation: confirmPendingCreation, variables: { id: pendingCreation.id } })
+    await mutate({ mutation: confirmContribution, variables: { id: pendingCreation.id } })
 
     if (creation.moveCreationDate) {
       const transaction = await Transaction.findOneOrFail({
diff --git a/backend/src/seeds/graphql/mutations.ts b/backend/src/seeds/graphql/mutations.ts
index e66827566..7becae274 100644
--- a/backend/src/seeds/graphql/mutations.ts
+++ b/backend/src/seeds/graphql/mutations.ts
@@ -81,15 +81,20 @@ export const createTransactionLink = gql`
 
 // from admin interface
 
-export const createPendingCreation = gql`
+export const adminCreateContribution = gql`
   mutation ($email: String!, $amount: Decimal!, $memo: String!, $creationDate: String!) {
-    createPendingCreation(email: $email, amount: $amount, memo: $memo, creationDate: $creationDate)
+    adminCreateContribution(
+      email: $email
+      amount: $amount
+      memo: $memo
+      creationDate: $creationDate
+    )
   }
 `
 
-export const confirmPendingCreation = gql`
+export const confirmContribution = gql`
   mutation ($id: Int!) {
-    confirmPendingCreation(id: $id)
+    confirmContribution(id: $id)
   }
 `
 
@@ -105,19 +110,19 @@ export const unDeleteUser = gql`
   }
 `
 
-export const createPendingCreations = gql`
-  mutation ($pendingCreations: [CreatePendingCreationArgs!]!) {
-    createPendingCreations(pendingCreations: $pendingCreations) {
+export const adminCreateContributions = gql`
+  mutation ($pendingCreations: [AdminCreateContributionArgs!]!) {
+    adminCreateContributions(pendingCreations: $pendingCreations) {
       success
-      successfulCreation
-      failedCreation
+      successfulContribution
+      failedContribution
     }
   }
 `
 
-export const updatePendingCreation = gql`
+export const adminUpdateContribution = gql`
   mutation ($id: Int!, $email: String!, $amount: Decimal!, $memo: String!, $creationDate: String!) {
-    updatePendingCreation(
+    adminUpdateContribution(
       id: $id
       email: $email
       amount: $amount
@@ -132,8 +137,90 @@ export const updatePendingCreation = gql`
   }
 `
 
-export const deletePendingCreation = gql`
+export const adminDeleteContribution = gql`
   mutation ($id: Int!) {
-    deletePendingCreation(id: $id)
+    adminDeleteContribution(id: $id)
+  }
+`
+
+export const createContributionLink = gql`
+  mutation (
+    $amount: Decimal!
+    $name: String!
+    $memo: String!
+    $cycle: String!
+    $validFrom: String
+    $validTo: String
+    $maxAmountPerMonth: Decimal
+    $maxPerCycle: Int! = 1
+  ) {
+    createContributionLink(
+      amount: $amount
+      name: $name
+      memo: $memo
+      cycle: $cycle
+      validFrom: $validFrom
+      validTo: $validTo
+      maxAmountPerMonth: $maxAmountPerMonth
+      maxPerCycle: $maxPerCycle
+    ) {
+      id
+      amount
+      name
+      memo
+      code
+      link
+      createdAt
+      validFrom
+      validTo
+      maxAmountPerMonth
+      cycle
+      maxPerCycle
+    }
+  }
+`
+
+export const updateContributionLink = gql`
+  mutation (
+    $amount: Decimal!
+    $name: String!
+    $memo: String!
+    $cycle: String!
+    $validFrom: String
+    $validTo: String
+    $maxAmountPerMonth: Decimal
+    $maxPerCycle: Int! = 1
+    $id: Int!
+  ) {
+    updateContributionLink(
+      amount: $amount
+      name: $name
+      memo: $memo
+      cycle: $cycle
+      validFrom: $validFrom
+      validTo: $validTo
+      maxAmountPerMonth: $maxAmountPerMonth
+      maxPerCycle: $maxPerCycle
+      id: $id
+    ) {
+      id
+      amount
+      name
+      memo
+      code
+      link
+      createdAt
+      validFrom
+      validTo
+      maxAmountPerMonth
+      cycle
+      maxPerCycle
+    }
+  }
+`
+
+export const deleteContributionLink = gql`
+  mutation ($id: Int!) {
+    deleteContributionLink(id: $id)
   }
 `
